# Imports

LingoHub API V2 (Beta) · [all operations](https://developers.lingohub.com/reference/v2.md)

Import files into a branch in the background, and see what each import changed.

## Operations

- [`GET /v2/branches/{branchId}/imports`](https://developers.lingohub.com/reference/v2/operations/listimports.md): List imports
- [`POST /v2/branches/{branchId}/imports`](https://developers.lingohub.com/reference/v2/operations/createimport.md): Create an import
- [`GET /v2/imports/{importId}`](https://developers.lingohub.com/reference/v2/operations/getimport.md): Retrieve an import
- [`GET /v2/imports/{importId}/logs`](https://developers.lingohub.com/reference/v2/operations/listimportlogs.md): List import logs
- [`GET /v2/imports/{importId}/entries`](https://developers.lingohub.com/reference/v2/operations/listimportentries.md): List import entries
- [`GET /v2/imports/{importId}/changes`](https://developers.lingohub.com/reference/v2/operations/listimportchanges.md): List import changes
- [`GET /v2/import-entries/{importEntryId}`](https://developers.lingohub.com/reference/v2/operations/getimportentry.md): Retrieve an import entry
